/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sysparameter.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 系统参数值Entity
 * @author chenyuping
 * @version 2018-08-13
 */
public class SysParameterValue extends DataEntity<SysParameterValue> {
	
	private static final long serialVersionUID = 1L;
	private String officeId;		// 所属部门
	private String companyId;		// 总公司
	private String branchOffice;		// 所属分公司
	private String parameterId;		// 参数表主键
	private String falt;		// 是否是系统默认值（0否1是）
	private String value;//参数值

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public SysParameterValue() {
		super();
	}

	public SysParameterValue(String id){
		super(id);
	}

	@ExcelField(title="所属部门", align=2, sort=7)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="总公司", align=2, sort=8)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="所属分公司", align=2, sort=9)
	public String getBranchOffice() {
		return branchOffice;
	}

	public void setBranchOffice(String branchOffice) {
		this.branchOffice = branchOffice;
	}
	
	@ExcelField(title="参数表主键", align=2, sort=10)
	public String getParameterId() {
		return parameterId;
	}

	public void setParameterId(String parameterId) {
		this.parameterId = parameterId;
	}
	
	@ExcelField(title="是否是系统默认值（0否1是）", align=2, sort=11)
	public String getFalt() {
		return falt;
	}

	public void setFalt(String falt) {
		this.falt = falt;
	}
	
}